Skip to main content
GET
/
workspaces
/
{workspace_id}
/
workflow-executions
Error
A valid request URL is required to generate request examples
[
  {
    "id": "<string>",
    "run_id": "<string>",
    "start_time": "2023-11-07T05:31:56Z",
    "workflow_type": "<string>",
    "task_queue": "<string>",
    "history_length": 123,
    "execution_time": "2023-11-07T05:31:56Z",
    "close_time": "2023-11-07T05:31:56Z",
    "parent_wf_exec_id": "<string>",
    "execution_type": "published"
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required

Query Parameters

trigger
enum<string>[] | null

Trigger type for a workflow execution.

Available options:
manual,
scheduled,
webhook,
case
limit
integer | null
Required range: 1 <= x <= 1000
workflow_id
Pattern: wf_[0-9a-zA-Z]+
user_id

Response

Successful Response

id
string
required

The ID of the workflow execution

run_id
string
required

The run ID of the workflow execution

start_time
string<date-time>
required

The start time of the workflow execution

status
enum<string>
required
Available options:
RUNNING,
COMPLETED,
FAILED,
CANCELED,
TERMINATED,
CONTINUED_AS_NEW,
TIMED_OUT
workflow_type
string
required
task_queue
string
required
history_length
integer
required

Number of events in the history

trigger_type
enum<string>
required

Trigger type for a workflow execution.

Available options:
manual,
scheduled,
webhook,
case
execution_time
string<date-time> | null

When this workflow run started or should start.

close_time
string<date-time> | null

When the workflow was closed if closed.

parent_wf_exec_id
string | null
Pattern: (wf-[0-9a-f]{32}|wf_[0-9a-zA-Z]+)[:/]((exec_[0-9a-zA-Z]+|exec-[\w-]+|(?:sch-[0-9a-f]{32}|[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12})-.*))
execution_type
enum<string>
default:published

Execution type (draft or published). Draft uses the draft workflow graph.

Available options:
draft,
published